#ifndef DURATION_H
#define DURATION_H

#include <sys/time.h>
#include <unistd.h>

#ifdef OS2
typedef unsigned int TIMEVAL_TYPE;
#else
typedef struct timeval TIMEVAL_TYPE;
#endif

typedef unsigned long DUR_TYPE;

class Duration
{
public:
  Duration();
  void reset(){ m_max = 0; }
  void start();
  DUR_TYPE stop();
  DUR_TYPE getMax() { return m_max; }
 
private:
  bool getTime(TIMEVAL_TYPE *tv);

  DUR_TYPE m_max;
  TIMEVAL_TYPE m_start;
};


#endif
